Bug 53244 - rpc.rstatd reports wrong opackets statistics
rpc.rstatd reports wrong opackets statistics
Product: Red Hat Linux
Classification: Retired
Component: rusers (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2001-09-05 09:46 EDT by Herbert Gasiorowski
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-29 11:37:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
just a test-patch (only works for rstat_3 rpc calls!) (1.04 KB, patch)
2001-09-05 09:48 EDT, Herbert Gasiorowski
no flags Details | Diff

  None (edit)
Description Herbert Gasiorowski 2001-09-05 09:46:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12 i686)

Description of problem:
using rpc_rstat_3 call allways 0 outgoing packets are reported,
with rpc_rstat_1 call a number much too high is returned

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. use rpc.rstatd to report outgoing packets of a hosts

Expected Results:  the sum of transmitted packets from /proc/net/dev should
be returned

Additional info:

I think there is an error in rpc.rstatd/rstat_proc.c:
the three structures for the different rstat calls are packed into a
c "union" and thus the if_opackets field of version 1 (struct stats) is
overwriten by the field v_swtch (struct statstime).
Comment 1 Herbert Gasiorowski 2001-09-05 09:48:35 EDT
Created attachment 30934 [details]
just a test-patch (only works for rstat_3 rpc calls!)
Comment 2 Phil Knirsch 2002-01-17 09:21:01 EST
Fixed correctly. Using a struct instead of a union separates the 3 different
structs for data storage and so they won't get overwritten anymore.

Package rusers-0.17-14 should appear in rawhide soon.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.